import java.util.*;
public class Q1 {
    public static void main (String [] args) {
        double slope1, y_intercept1, slope2, y_intercept2, xIntersect, yIntersect;
        Scanner scan = new Scanner(System.in);
        System.out.print("Enter the coefficients of the first line: ");
        slope1 = scan.nextDouble();
        y_intercept1 = scan.nextDouble();
        System.out.printf("The first line equation is: Y = %.1f X + %.1f%n", slope1, y_intercept1);
        System.out.print("Enter the coefficients of the second line: ");
        slope2 = scan.nextDouble();
        y_intercept2 = scan.nextDouble();
        System.out.printf("The second line equation is: Y = %.1f X + %.1f%n", slope2, y_intercept2);
        scan.close();
        if (slope1 != slope2) {
            /* Since we know that the two lines intersect when Y1 = Y2, we can say 
            m1 X +c1 = m2 X +c2 -> m1-m2 X +c1-c2 =0 
            So xIntersect = (c2-c1)/(m1-m2)
            And yIntersect = one of the equations at the point xIntersect
            */
            scan.close();
            xIntersect = (double) (y_intercept2-y_intercept1)/(slope1-slope2);
            yIntersect = slope1*xIntersect + y_intercept1;
            if (xIntersect ==0) {
            	xIntersect = Math.abs(xIntersect); }
            System.out.printf("The two lines intersect at the point <%.1f,%.1f>%nPress any key to continue...", xIntersect, yIntersect);
        }
        else {
            System.out.print("The two lines are parallel and do not intersect...\nPress any key to continue...");
        }
    }
}
 